Debian Bug report logs - #512709
manpages-dev: typo or wrong obsolete reference in isalpha

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Guillem Jover <guillem@debian.org>

Date: Fri, 23 Jan 2009 01:06:02 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version manpages/3.16-1

Fixed in version manpages/3.18-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#512709; Package manpages-dev. (Fri, 23 Jan 2009 01:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Fri, 23 Jan 2009 01:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: submit@bugs.debian.org
Subject: manpages-dev: typo or wrong obsolete reference in isalpha
Date: Fri, 23 Jan 2009 03:04:59 +0200
Package: manpages-dev
Version: 3.16-1
Severity: normal
Tags: patch

Hi,

In isalpha.3 there's a typo:


diff --git a/man3/isalpha.3 b/man3/isalpha.3
index 4dbd35b..1fc3c44 100644
--- a/man3/isalpha.3
+++ b/man3/isalpha.3
@@ -166,7 +166,7 @@ and is also an SVr4 extension.
 .BR isblank ()
 conforms to POSIX.1-2001 and C99 7.4.1.3.
 POSIX.1-2008 marks
-.BR isalpa ()
+.BR isalpha ()
 as obsolete.
 .SH NOTES
 The details of what characters belong into which class depend on the current


But then I was a bit surprised by the comment that isalpha is obsolete,
so went and checked POSIX.1-2008 and couldn't find any reference to this:

  <http://www.opengroup.org/onlinepubs/9699919799/xrat/V4_xsh_chap01.html#tag_23_01_01_04>
  <http://www.opengroup.org/onlinepubs/9699919799/functions/isalpha.html>

So the following might be more appropriate instead?


diff --git a/man3/isalpha.3 b/man3/isalpha.3
index 4dbd35b..7cd1be2 100644
--- a/man3/isalpha.3
+++ b/man3/isalpha.3
@@ -165,9 +165,6 @@ is a BSD extension
 and is also an SVr4 extension.
 .BR isblank ()
 conforms to POSIX.1-2001 and C99 7.4.1.3.
-POSIX.1-2008 marks
-.BR isalpa ()
-as obsolete.
 .SH NOTES
 The details of what characters belong into which class depend on the current
 locale.


regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#512709; Package manpages-dev. (Fri, 23 Jan 2009 23:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Fri, 23 Jan 2009 23:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 512709@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Guillem Jover <guillem@debian.org>, 512709@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#512709: manpages-dev: typo or wrong obsolete reference in isalpha
Date: Sat, 24 Jan 2009 12:16:10 +1300
tags 512709 fixed-upstream
thanks

On Fri, Jan 23, 2009 at 2:04 PM, Guillem Jover <guillem@debian.org> wrote:
> Package: manpages-dev
> Version: 3.16-1
> Severity: normal
> Tags: patch
>
> Hi,
>
> In isalpha.3 there's a typo:
>
>
> diff --git a/man3/isalpha.3 b/man3/isalpha.3
> index 4dbd35b..1fc3c44 100644
> --- a/man3/isalpha.3
> +++ b/man3/isalpha.3
> @@ -166,7 +166,7 @@ and is also an SVr4 extension.
>  .BR isblank ()
>  conforms to POSIX.1-2001 and C99 7.4.1.3.
>  POSIX.1-2008 marks
> -.BR isalpa ()
> +.BR isalpha ()
>  as obsolete.
>  .SH NOTES
>  The details of what characters belong into which class depend on the current
>
>
> But then I was a bit surprised by the comment that isalpha is obsolete,
> so went and checked POSIX.1-2008 and couldn't find any reference to this:
>
>  <http://www.opengroup.org/onlinepubs/9699919799/xrat/V4_xsh_chap01.html#tag_23_01_01_04>
>  <http://www.opengroup.org/onlinepubs/9699919799/functions/isalpha.html>
>
> So the following might be more appropriate instead?
>
>
> diff --git a/man3/isalpha.3 b/man3/isalpha.3
> index 4dbd35b..7cd1be2 100644
> --- a/man3/isalpha.3
> +++ b/man3/isalpha.3
> @@ -165,9 +165,6 @@ is a BSD extension
>  and is also an SVr4 extension.
>  .BR isblank ()
>  conforms to POSIX.1-2001 and C99 7.4.1.3.
> -POSIX.1-2008 marks
> -.BR isalpa ()
> -as obsolete.
>  .SH NOTES
>  The details of what characters belong into which class depend on the current
>  locale.

In fact the real problem here is that it should say that isascii() is
obsolete, not isalpa().  Fixed for 3.18.

Thanks,

Michael


-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Fri, 23 Jan 2009 23:18:06 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Fri, 24 Apr 2009 16:45:05 GMT) Full text and rfc822 format available.

Notification sent to Guillem Jover <guillem@debian.org>:
Bug acknowledged by developer. (Fri, 24 Apr 2009 16:45:05 GMT) Full text and rfc822 format available.

Message #17 received at 512709-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 512709-close@bugs.debian.org
Subject: Bug#512709: fixed in manpages 3.18-1
Date: Fri, 24 Apr 2009 16:17:58 +0000
Source: manpages
Source-Version: 3.18-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.18-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.18-1_all.deb
manpages_3.18-1.dsc
  to pool/main/m/manpages/manpages_3.18-1.dsc
manpages_3.18-1.tar.gz
  to pool/main/m/manpages/manpages_3.18-1.tar.gz
manpages_3.18-1_all.deb
  to pool/main/m/manpages/manpages_3.18-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 512709@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 24 Apr 2009 18:01:15 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.18-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 512709 514043
Changes: 
 manpages (3.18-1) unstable; urgency=low
 .
   * New upstream release
     . Correction of fexecve(3) (closes: Bug#514043)
     . Obsolete isalpha(3) (closes: Bug#512709)
   * Avoid distribution pthread pages that are currently also provided by
     glibc-doc:
     . pthread_kill_other_threads_np(3)
     . pthread_sigmask(3)
     . pthread_kill(3)
Checksums-Sha1: 
 9939cc003ab05d9f93c121e03d1a58066feffcea 723 manpages_3.18-1.dsc
 628a45d84dd670b10b0469f572302c2f325966d4 1613699 manpages_3.18-1.tar.gz
 122d371079df756eeedb9ac0731f0bf7b62f4b01 705904 manpages_3.18-1_all.deb
 7cddd27ee1f9e2381fccd001408e16b3b5ab1a6b 1541212 manpages-dev_3.18-1_all.deb
Checksums-Sha256: 
 1a21c7b10b8a0fa854978b4feec353dfdee0aac143d3957701e20c30f1ff7dcc 723 manpages_3.18-1.dsc
 0c5989ee31c2eb59851586fecd2a9bc351e8dbd25b20a9090e310095f1aecaa1 1613699 manpages_3.18-1.tar.gz
 022dfe4fdbb2b0289d51bf064891d6d520695bf22a2014c0d98accd66de4e62b 705904 manpages_3.18-1_all.deb
 db64848a6904d2116109d1c77a2e9bc81b7dbbd28682b97402fd38e0704425f3 1541212 manpages-dev_3.18-1_all.deb
Files: 
 3d9a3cdfdba761cd47629e77b24a6268 723 doc important manpages_3.18-1.dsc
 5f53d782ac4f8934c4819ae215b0c385 1613699 doc important manpages_3.18-1.tar.gz
 327ff6371590c9baac7de3af311262ab 705904 doc important manpages_3.18-1_all.deb
 d19aabebe8a1e69bbcab83428ec1d88d 1541212 doc optional manpages-dev_3.18-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJ8eL4W5ql+IAeqTIRAtncAJ9GvZB5A9Z8IiwDcyviDgdPCuOKwwCdF1Mx
SFK7iAJ0zlTz/B6356Xw4O4=
=NF6e
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 May 2009 07:27:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:05:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.